'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _instance = require('../Context/instance.js');

var _instance2 = _interopRequireDefault(_instance);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } // require PrototypeString.js


var InputSafe = (0, _react.forwardRef)(function (_ref, ref) {
  var _ref$value = _ref.value,
      value = _ref$value === undefined ? '' : _ref$value,
      others = _objectWithoutProperties(_ref, ['value']);

  // context
  var context = (0, _react.useContext)(_instance2.default) || {};
  var locale = context.locale || function (key) {
    return key || '';
  };

  var lvl = value.safeLvl();
  return _react2.default.createElement(
    'ul',
    _extends({ ref: ref }, others, { className: 'input-safe lvl' + lvl + (others.className ? ' ' + others.className : '') }),
    _react2.default.createElement(
      'li',
      null,
      _react2.default.createElement('div', { className: 'input-safe-progress' }),
      _react2.default.createElement(
        'span',
        { className: 'input-safe-caption' },
        locale('low') || '弱'
      )
    ),
    _react2.default.createElement(
      'li',
      null,
      _react2.default.createElement('div', { className: 'input-safe-progress' }),
      _react2.default.createElement(
        'span',
        { className: 'input-safe-caption' },
        locale('medium') || '中'
      )
    ),
    _react2.default.createElement(
      'li',
      null,
      _react2.default.createElement('div', { className: 'input-safe-progress' }),
      _react2.default.createElement(
        'span',
        { className: 'input-safe-caption' },
        locale('strong') || '强'
      )
    )
  );
});

exports.default = InputSafe;
module.exports = exports['default'];